digiKam Developer Documentation: Digikam::ImageQualitySettings Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
Digikam::ImageQualitySettings Class Reference

## Public Types
enum | ScanMode { AllItems = 0 , NonAssignedItems }
| Different possible mode processed while scanning operation. More...

## Public Member Functions
| ImageQualitySettings (const ImageQualitySettings &other)
ImageQualitySettings & | operator= (const ImageQualitySettings &other)
void | readFromConfig ()
void | readFromConfig (const KConfigGroup &)
void | writeToConfig ()
void | writeToConfig (KConfigGroup &)

## Public Attributes
int | acceptedThreshold = 60
| Item accepted threshold.
AlbumList | albums
| Albums to scan.
int | blurWeight = 100
| Item blur level.
int | compressionWeight = 100
| Item compression level.
const QString | configAcceptedThreshold = QLatin1String("Image Quality Accepted Threshold")
const QString | configBlurWeight = QLatin1String("Image Quality Blur Weight")
const QString | configCompressionWeight = QLatin1String("Image Quality Compression Weight")
const QString | configDetectAesthetic = QLatin1String("Image Quality Detect Aesthetic")
const QString | configDetectBlur = QLatin1String("Image Quality Detect Blur")
const QString | configDetectCompression = QLatin1String("Image Quality Detect Compression")
const QString | configDetectExposure = QLatin1String("Image Quality Detect Exposure")
const QString | configDetectNoise = QLatin1String("Image Quality Detect Noise")
const QString | configExposureWeight = QLatin1String("Image Quality Exposure Weight")
const QString | configHighQAccepted = QLatin1String("Image Quality HighQ Accepted")
const QString | configLowQRejected = QLatin1String("Image Quality LowQ Rejected")
const QString | configMediumQPending = QLatin1String("Image Quality MediumQ Pending")
const QString | configName = QLatin1String("Image Quality Settings")
const QString | configNoiseWeight = QLatin1String("Image Quality Noise Weight")
const QString | configPendingThreshold = QLatin1String("Image Quality Pending Threshold")
const QString | configRejectedThreshold = QLatin1String("Image Quality Rejected Threshold")
const QString | configScanMode = QLatin1String("Image Quality Scan Mode")
const QString | configUseFullCpu = QLatin1String("Image Quality Use Full CPU")
bool | detectAesthetic = true
| Enable image aesthetic detection.
bool | detectBlur = true
| Enable image blur detection.
bool | detectCompression = true
| Enable image compression detection.
bool | detectExposure = true
| Enable image over and under exposure detection.
bool | detectNoise = true
| Enable image noise detection.
int | exposureWeight = 100
| Item exposure level.
bool | highQAccepted = true
| Assign Accepted property to high quality.
bool | lowQRejected = true
| Assign Rejected property to low quality.
bool | mediumQPending = true
| Assign Pending property to medium quality.
int | noiseWeight = 100
| Item noise level.
int | pendingThreshold = 40
| Item pending threshold.
int | rejectedThreshold = 10
| Item rejection threshold.
ScanMode | scanMode = ScanMode::AllItems
| Scanning mode.
bool | useFullCpu = false
| Processing using all CPU available.
bool | wholeAlbums = true
| Processing power.

## Member Enumeration Documentation

## ◆ ScanMode

enum Digikam::ImageQualitySettings::ScanMode

Enumerator
AllItems | Scan all items.
NonAssignedItems | Scan only items with no tags assigned.

## Member Data Documentation

## ◆ scanMode

ScanMode Digikam::ImageQualitySettings::scanMode = ScanMode::AllItems

Note
  turn all items by default to prevent clearing whole Pick Labels from Collection.